{% extends '_base.html' %}
{% load static %}

{% block title %}Join a room{% endblock title %}

{% block content %}


<div class="px-2 p-md-5">
  <div class="py-4 px-md-5">
    <div class="mt-4">
      <div class="font-weight-bold mb-3"> You have been invited to join
        <h3 class=" display-4 font-weight-normal border-bottom pb-3" id="inviteRoomName"> {{room.room_name}}
        </h3>
      </div>

      <div class="row viewgroup py-5">
        <div class="item col-md-6 mt-1">
          <h3> Owner : {{room.creator.fullname}} </h3>
        </div>
        <div class="item col-md-6">
          {% if room.is_session_running %}
            {%if error %}
              <div class="alert alert-danger" role="alert">
                {{error}}
              </div>
            {% endif %}
            <form method="POST" action=".">
              {%csrf_token%}
              <div class="input-group input-group-md rounded shadow-sm">
                <input type="text" class="form-control" id="name" name="name" value="{{request.user.fullname}}"
                  aria-label="Name" aria-describedby="Your name" placeholder="Enter your name here" required>
                <input type="text" name="userId" id="userId" readonly style="display: none;" value="">
                {% if room.room_guest_policy == "password" %}
                <input type="text" class="form-control" id="" name="password" aria-label="Password" aria-describedby="Room password" placeholder="Enter room password" required>
                {% endif %}
                <div class="input-group-append">
                  <button type="submit" class="btn px-4 text-light btn-primary" type="button" id="session-join" data-title="Join"> Join
                  </button>
                </div>
              </div>
            </form> 
          
          {% else %}

          <button class="btn btn-warning" disabled> Session currently not running ! Please wait while the session starts.</button> 
          <br>
          <br>
          <span>We will keep checking when the session starts and join you in.</span>
          
          {% endif %}

        </div>
      </div>
    </div>
  </div>
  <div class="py-4 px-md-5">
    {% if room_recordings%}
        <table class="table">
          <caption>{{room.room_name}} Recordings</caption>
          <thead>
            <tr>
              <th id="recording_name">Recording Name</td>
              <th id="date">Date</td>
              <th id="view"></td>
            </tr>
          </thead>
          <tbody>
            {% for room_recording in room_recordings %}
            <tr>
              <td>{{room_recording.name}}</td>
              <td>{{room_recording.updated_at}}</td>
              <td><a href="{% url 'view_recording' recording_id=room_recording.id %}">View Recording</a></td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
    {% endif %}
  </div>

</div>


{% endblock content %}
{% block javascript %}
  <!-- Page specific JavaScript -->
  <script src="{% static 'js/join.js' %}"></script>
  <script>
  {% if not room.is_session_running %}
  setTimeout(function() {
    location.reload();
  }, 30000);

  {% endif %}
</script>
{% endblock javascript %}
